/* NAV _________________________________________________________*/
nav {
  display: flex;
  background-color: var(--white);
  justify-content: center;
  width: 50%;
  position: fixed;
  top: 10px;
  left: 25%;
  border-radius: 20px;
  height: 68px;
  z-index: 2;
  transition: 0.3s;
}

nav a {
  color: var(--black);
  transition: 0.3s ease;
  width: 100%;
}

nav a:focus,
nav a:hover {
  opacity: 0.5;
  letter-spacing: 1px;
}

nav li::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 2px;
  background-color: var(--black);
  transform: scaleX(0);
  transition: transform 0.5s;
  transform-origin: 50% 50%;
}

nav li:focus::after,
nav li:hover::after {
  transform: scaleX(1);
}

li#IndicateurPageActuel::after {
  transform: scaleX(1);
}

nav li {
  width: 100%;
  text-align: center;
  margin: 0 5px 0 5px;
  position: relative;
}

nav ul {
  width: 100%;
  display: flex;
  flex-flow: row nowrap;
  justify-content: space-around;
  font-family: "Exo", sans-serif;
  font-size: 17px;
  list-style: none;
  margin: 23px 15px 8px 15px;
  padding-left: 0;
}

/* AUTRES _________________________________________________________*/

button#dark_mode {
  width: 40px;
  height: 40px;
  margin-top: -20px;
  margin-right: 30px;
  background: url(../images/ressources/dark_mode.svg) center center / 40px 40px
    no-repeat;
  transition: opacity 0.3s;
}

button#dark_mode:focus,
button#dark_mode:hover {
  opacity: 0.5;
}

a#titrePage {
  margin: -20px 0 0 1em;
  font-family: "Space Grotesk", sans-serif;
  font-size: 45px;
  letter-spacing: 3px;
  color: var(--black);
  transition: 0.3s ease;
}

header {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: center;
  background-color: var(--white);
  height: 80px;
  margin: -8px -8px 0 -8px;
  padding-top: 20px;
  box-shadow: 0 6px 14px rgb(0 0 0 / 15%);
  transition: 0.3s ease;
}
